/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 2018-10-08 17:45:39 UTC)
 * on 2020-04-30 at 08:38:03 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.abusiveexperiencereport.v1.model;

/**
 * Response message for GetSiteSummary.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Abusive Experience Report API. For a detailed
 * explanation see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class SiteSummaryResponse extends com.google.api.client.json.GenericJson {

  /**
   * The site's Abusive Experience Report status.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String abusiveStatus;

  /**
   * The time at which [enforcement](https://support.google.com/webtools/answer/7538608) against the
   * site began or will begin.
   *
   * Not set when the filter_status is OFF.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String enforcementTime;

  /**
   * The site's [enforcement status](https://support.google.com/webtools/answer/7538608).
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String filterStatus;

  /**
   * The time at which the site's status last changed.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String lastChangeTime;

  /**
   * A link to the full Abusive Experience Report for the site.
   *
   * Not set in ViolatingSitesResponse.
   *
   * Note that you must complete the [Search Console verification
   * process](https://support.google.com/webmasters/answer/9008080) for the site before you can
   * access the full report.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String reportUrl;

  /**
   * The name of the reviewed site, e.g. `google.com`.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String reviewedSite;

  /**
   * Whether the site is currently under review.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean underReview;

  /**
   * The site's Abusive Experience Report status.
   * @return value or {@code null} for none
   */
  public java.lang.String getAbusiveStatus() {
    return abusiveStatus;
  }

  /**
   * The site's Abusive Experience Report status.
   * @param abusiveStatus abusiveStatus or {@code null} for none
   */
  public SiteSummaryResponse setAbusiveStatus(java.lang.String abusiveStatus) {
    this.abusiveStatus = abusiveStatus;
    return this;
  }

  /**
   * The time at which [enforcement](https://support.google.com/webtools/answer/7538608) against the
   * site began or will begin.
   *
   * Not set when the filter_status is OFF.
   * @return value or {@code null} for none
   */
  public String getEnforcementTime() {
    return enforcementTime;
  }

  /**
   * The time at which [enforcement](https://support.google.com/webtools/answer/7538608) against the
   * site began or will begin.
   *
   * Not set when the filter_status is OFF.
   * @param enforcementTime enforcementTime or {@code null} for none
   */
  public SiteSummaryResponse setEnforcementTime(String enforcementTime) {
    this.enforcementTime = enforcementTime;
    return this;
  }

  /**
   * The site's [enforcement status](https://support.google.com/webtools/answer/7538608).
   * @return value or {@code null} for none
   */
  public java.lang.String getFilterStatus() {
    return filterStatus;
  }

  /**
   * The site's [enforcement status](https://support.google.com/webtools/answer/7538608).
   * @param filterStatus filterStatus or {@code null} for none
   */
  public SiteSummaryResponse setFilterStatus(java.lang.String filterStatus) {
    this.filterStatus = filterStatus;
    return this;
  }

  /**
   * The time at which the site's status last changed.
   * @return value or {@code null} for none
   */
  public String getLastChangeTime() {
    return lastChangeTime;
  }

  /**
   * The time at which the site's status last changed.
   * @param lastChangeTime lastChangeTime or {@code null} for none
   */
  public SiteSummaryResponse setLastChangeTime(String lastChangeTime) {
    this.lastChangeTime = lastChangeTime;
    return this;
  }

  /**
   * A link to the full Abusive Experience Report for the site.
   *
   * Not set in ViolatingSitesResponse.
   *
   * Note that you must complete the [Search Console verification
   * process](https://support.google.com/webmasters/answer/9008080) for the site before you can
   * access the full report.
   * @return value or {@code null} for none
   */
  public java.lang.String getReportUrl() {
    return reportUrl;
  }

  /**
   * A link to the full Abusive Experience Report for the site.
   *
   * Not set in ViolatingSitesResponse.
   *
   * Note that you must complete the [Search Console verification
   * process](https://support.google.com/webmasters/answer/9008080) for the site before you can
   * access the full report.
   * @param reportUrl reportUrl or {@code null} for none
   */
  public SiteSummaryResponse setReportUrl(java.lang.String reportUrl) {
    this.reportUrl = reportUrl;
    return this;
  }

  /**
   * The name of the reviewed site, e.g. `google.com`.
   * @return value or {@code null} for none
   */
  public java.lang.String getReviewedSite() {
    return reviewedSite;
  }

  /**
   * The name of the reviewed site, e.g. `google.com`.
   * @param reviewedSite reviewedSite or {@code null} for none
   */
  public SiteSummaryResponse setReviewedSite(java.lang.String reviewedSite) {
    this.reviewedSite = reviewedSite;
    return this;
  }

  /**
   * Whether the site is currently under review.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getUnderReview() {
    return underReview;
  }

  /**
   * Whether the site is currently under review.
   * @param underReview underReview or {@code null} for none
   */
  public SiteSummaryResponse setUnderReview(java.lang.Boolean underReview) {
    this.underReview = underReview;
    return this;
  }

  @Override
  public SiteSummaryResponse set(String fieldName, Object value) {
    return (SiteSummaryResponse) super.set(fieldName, value);
  }

  @Override
  public SiteSummaryResponse clone() {
    return (SiteSummaryResponse) super.clone();
  }

}
